@novemberborn/as-i-preach

Like standard, but with support for new syntax and AVA rules, to @novemberborn's taste

Please upgrade to @novemberborn/eslint-plugin-as-i-preach
Last updated 3 years ago by novemberborn .
ISC · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @novemberborn/as-i-preach 
SYNC missed versions from official npm registry.

as-i-preach

Like standard, with additional configuration:

See .eslintrc.js and .typescript.eslintrc.js for details.

It's what I use.

Installation

$ npm install --save-dev @novemberborn/as-i-preach

Then add it to your package.json:

{
  "scripts": {
    "lint": "as-i-preach"
  }
}

Configuration

You can provide configuration in your package.json under the as-i-preach key:

{
  "as-i-preach": {
    "ignore": [
      "tmp.js"
    ]
  }
}

See standard-engine for details.

Additionally you can provide the following options:

  • allowDevDependencies: a string or array of glob patterns for files that are allowed to use devDependencies.

    Defaults to ["scripts/**/*.js", "test.js", "test/**/*.js"]

  • fakeDependencies: a string or array of regular expression patterns for dependency sources that are actually fake, and must not be linted.

    For example if you use babel-plugin-files, specify "^files:" to avoid linter errors for import statements that are handled by the plugin.

  • resolvers: a valid value for the eslint-plugin-import's import/resolver setting

Semantic versioning

ESLint config and plugin dependencies are pinned. Any rule or plugin addition that restricts the rules is considered a breaking change.

Current Tags

  • 11.0.0                                ...           latest (3 years ago)

21 Versions

  • 11.0.0 [deprecated]           ...           3 years ago
  • 10.1.0 [deprecated]           ...           3 years ago
  • 10.0.1 [deprecated]           ...           3 years ago
  • 10.0.0 [deprecated]           ...           3 years ago
  • 9.0.0 [deprecated]           ...           3 years ago
  • 8.0.0 [deprecated]           ...           3 years ago
  • 7.0.0 [deprecated]           ...           3 years ago
  • 6.2.0 [deprecated]           ...           4 years ago
  • 6.1.1 [deprecated]           ...           4 years ago
  • 6.1.0 [deprecated]           ...           4 years ago
  • 6.0.0 [deprecated]           ...           4 years ago
  • 5.0.0 [deprecated]           ...           4 years ago
  • 4.0.2 [deprecated]           ...           4 years ago
  • 4.0.1 [deprecated]           ...           4 years ago
  • 4.0.0 [deprecated]           ...           4 years ago
  • 3.1.1 [deprecated]           ...           4 years ago
  • 3.1.0 [deprecated]           ...           4 years ago
  • 3.0.0 [deprecated]           ...           4 years ago
  • 2.0.1 [deprecated]           ...           4 years ago
  • 2.0.0 [deprecated]           ...           4 years ago
  • 1.0.0 [deprecated]           ...           4 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 45
Last Day 0
Last Week 22
Last Month 106
Dev Dependencies (5)

Copyright 2014 - 2017 © taobao.org |